summaryrefslogtreecommitdiff
path: root/rate
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
commit5eb0dbf136a9ad582192e003b7573a080514f063 (patch)
tree84d3a44749b1b2db50b39504ab7690a15b699e8d /rate
init from config_local_arch personal shell scripts
git log history see https://git.flylightning.xyz/config_local_arch/tree/home/xyz/.local/bin?id=d266c511cffb7eeb20bf1e4610d9d32557b7d0e6
Diffstat (limited to 'rate')
-rwxr-xr-xrate11
1 files changed, 11 insertions, 0 deletions
diff --git a/rate b/rate
new file mode 100755
index 0000000..1625df6
--- /dev/null
+++ b/rate
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+while getopts f:t: opt; do
+ case $opt in
+ f) from="$OPTARG";;
+ t) to="$(echo "$OPTARG" | tr '[:lower:]' '[:upper:]')";;
+ \?) exit 1;;
+ esac
+done
+# https://docs.cloud.coinbase.com/sign-in-with-coinbase/docs/api-exchange-rates
+curl -s "https://api.coinbase.com/v2/exchange-rates?currency=${from:-xmr}" | jq -r ".data.rates.${to:-USD}"